package com.simuwang.daq.components.report.parser.py;

import com.simuwang.base.common.enums.ReportType;
import com.simuwang.base.config.DaqProperties;
import com.simuwang.base.mapper.FundInfoMapper;
import com.simuwang.base.pojo.dto.report.AnnuallyReportData;
import com.simuwang.daq.components.report.parser.ReportParserConstant;
import org.springframework.stereotype.Component;

@Component(ReportParserConstant.PARSER_PYTHON_ANNUALLY)
public class PythonAnnuallyReportParser extends AbstractPyReportParser<AnnuallyReportData> {
    public PythonAnnuallyReportParser(DaqProperties properties, FundInfoMapper fundInfoMapper) {
        super(properties, fundInfoMapper);
    }

    @Override
    protected ReportType getReportType() {
        return ReportType.ANNUALLY;
    }

    @Override
    public String getParser() {
        return ReportParserConstant.PARSER_PYTHON_ANNUALLY;
    }
}
